Package pygccxml :: Package declarations :: Module decl_visitor :: Class decl_visitor_t

# type decl_visitor_t

source code

    object --+
             |
            decl_visitor_t

Known Subclasses:
  - decl_printer.decl_printer_t
  - , parser.linker.linker_t

declarations visitor interface

All functions within this class should be redefined in derived classes.

Instance Methods

__init__(self) | source code

visit_casting_operator(self) | source code

visit_class(self) | source code

visit_class_declaration(self) | source code

visit_constructor(self) | source code

visit_destructor(self) | source code

visit_enumeration(self) | source code

visit_free_function(self) | source code

visit_free_operator(self) | source code

visit_member_function(self) | source code

visit_member_operator(self) | source code

visit_namespace(self) | source code

visit_typedef(self) | source code

visit_variable(self) | source code

Method Details

### __init__(self)
(Constructor)

source code

Overrides: object.__init__
  (inherited documentation)